/*
 *
 * Реакции
 *
 */


ЗагрузитьРесурсыКолобка= мир =>
{
    мир.сцена.load.image("колобок", "ресурсы/колобок/колобок_неподвижен.png");
};


// // // //


СоздатьКаркасИПлатформы = мир =>
{
    мир.каркас = мир.сцена.physics.add.staticGroup();
    мир.платформы = мир.сцена.physics.add.staticGroup();
};


// // // //


СоздатьКолобка = мир =>
{
    мир.колобок = мир.сцена.physics.add.sprite(100, 100, "колобок");
    мир.колобок.depth = 10;

    // Следить за колобком камерой.
    const камера = мир.сцена.cameras.main;
    камера.startFollow(мир.колобок, false, 0.1, 0.1);
};


// // // //


СоздатьСтолкновениеКолобкаСКаркасомИПлатформами = мир =>
{
    мир.сцена.physics.add.collider(мир.колобок, мир.каркас);
    мир.столкновениеПлатформы = мир.сцена.physics.add.collider(мир.колобок, мир.платформы);
};


// // // //


ПереместитьКолобка = мир =>
{
    if (!мир.управление)
    {
        мир.колобок.setVelocityX(0);
        return;
    }

    var x = 0;
    if (мир.управление.направление == -1)
    {
        x = -200;
    }
    else if (мир.управление.направление == 1)
    {
        x = 200;
    }
    мир.колобок.setVelocityX(x);

    if (мир.управление.прыжок && мир.колобок.body.touching.down)
    {
        мир.колобок.setVelocityY(-570);
    }
};


/*
 *
 * Последовательность
 *
 */


мир.разобрать(`
загрузить ресурсы сцены
    загрузить ресурсы колобка
создать сцену
    создать каркас и платформы
    создать колобка
    создать столкновение колобка с каркасом и платформами
изменили управление
    переместить колобка
`);

