/*
 *
 * Реакции
 *
 */


ЗагрузитьРесурсыИзбы = мир =>
{
    мир.сцена.load.image("изба", "ресурсы/сцены/изба.jpg");
    мир.сцена.load.image("основа", "ресурсы/отладка/основа.jpg");
};


// // // //


СоздатьИзбу = мир =>
{
    мир.сцена.add.image(0, 0, "изба").setOrigin(0, 0);
};


// // // //


СоздатьПолыИСтеныКаркаса = мир =>
{
    var полы = [
        {
            x: 0,
            y: 585,
            ширина: 43,
        },
        {
            x: 300,
            y: 585,
            ширина: 30,
        },
        {
            x: 510,
            y: 585,
            ширина: 200,
        },
    ];
    for (var номер in полы)
    {
        var пол = полы[номер];
        var элемент = мир.каркас.create(пол.x, пол.y, "основа").setOrigin(0, 0);
        элемент.setScale(пол.ширина, 1).refreshBody();
        элемент.setVisible(false);
    }

    var стены = [
        {
            x: 0,
            y: 385,
            высота: 50,
        },
        {
            x: 2000,
            y: 385,
            высота: 50,
        },
    ];
    for (var номер in стены)
    {
        var стена = стены[номер];
        var элемент = мир.каркас.create(стена.x, стена.y, "основа");
        элемент.setScale(1, стена.высота).refreshBody();
        элемент.setVisible(false);
    }
};


// // // //


СоздатьПлатформы = мир =>
{
    var печь = [
        {
            x: 583,
            y: 470,
            ширина: 65,
        },
    ];
    for (var номер in печь)
    {
        var часть = печь[номер];
        var элемент = мир.платформы.create(часть.x, часть.y, "основа").setOrigin(0, 0);
        элемент.setScale(часть.ширина, 1).refreshBody();
        //элемент.setVisible(false);
    }
};


// // // //


ПозволитьПлатформамПропускатьПрыжки = мир =>
{
    мир.платформы.children.iterate(function(платформа) {
        платформа.body.checkCollision.down = false;
        платформа.body.checkCollision.left = false;
        платформа.body.checkCollision.right = false;
    });
};


/*
 *
 * Последовательность
 *
 */


мир.разобрать(`
загрузить ресурсы сцены
    загрузить ресурсы избы
создать сцену
    создать избу
    создать полы и стены каркаса
    создать платформы
    позволить платформам пропускать прыжки
`);

